package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-零件条码(非排序产出零件条码)
 */
@Data
public class MesProductionPsOutContext implements Serializable {

    private static final long serialVersionUID = 5562937531822977296L;

    @ApiParam(name = "数据关联键  非排序:snowflakeId")
    private String foreignKey;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("零件条码ID")
    private Long id;

    @ApiParam("非排序产出零件条码")
    private String productSn;

    @ApiParam("非排序产出零件过程条码")
    private String serialNumber;

    @ApiParam("非排序产出客户条码")
    private String custSn;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

}
